* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body {
    background: url("../img/210f532731c1464bba1817a98fd1aa9d.png") repeat-y;
    height: 3000px;
    background-size: contain;
    width: 100%;
    font-family: "Roboto", serif;
}

.widget {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    background: #1C2125;
    color: white;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.widget .widget-content {
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: 58px;
    width: 100%;
}
.widget .left_col {
    display: flex;
    align-items: center;
    height: 100%;
    gap: 30px;
}
.widget .block_info_jackpot {
    display: flex;
    align-items: center;
    height: 100%;
    gap: 30px;
    position: relative;
}
.widget .widget-logo {
    margin-right: 20px;
    max-width: 134px;
    height: 100%;
    max-height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
}
.widget .widget-logo img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.widget .block_jackpot {
    display: flex;
    gap: 14px;
    align-items: center;
    height: 100%;
}
.widget .block_jackpot .text {
    display: flex;
    gap: 6px;
    align-items: flex-end;
    flex-direction: column;
}
.widget .block_jackpot .text .title {
    font-family: "Roboto", serif;
    font-size: 16px;
    line-height: 21px;
    font-weight: 600;
    text-align: right;
    white-space: nowrap;
    text-transform: uppercase;
}
.widget .block_jackpot .text .description {
    font-family: "Roboto", serif;
    font-size: 11px;
    line-height: 13px;
    font-weight: 500;
}
.widget .block_jackpot .price {
    background: rgba(0, 0, 0, 0.25);
    padding: 8px 14px;
    color: rgba(247, 234, 106, 1);
    font-family: "Bebas Neue", serif;
    font-weight: 400;
    font-style: normal;
    font-size: 20px;
    line-height: 24px;
    border-radius: 4px;
    border: 1px solid rgba(255, 255, 255, 0.1);
    white-space: nowrap;
}
.widget .right_col {
    display: flex;
    align-items: center;
    height: 100%;
    justify-content: flex-end;
    margin-right: 20px;
}
.widget .info_link {
    text-decoration: none;
    width: 32px;
    height: 32px;
    border-radius: 8px;
    background: rgba(255, 255, 255, 0.05);
    display: flex;
    align-items: center;
    justify-content: center;
    color: #ffffff;
    font-family: "Roboto", serif;
    font-size: 13px;
    line-height: 15px;
    font-weight: 800;
    margin-left: 11px;
    transition: all 0.3s ease-out;
}
.widget .info_link:hover {
    background: rgba(255, 255, 255, 0.25);
}
.widget .more_tickets {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 12px;
    margin-right: 14px;
}
.widget .more_tickets.hidden{
    opacity: 0.1;
    pointer-events: none;
}

.widget .more_tickets .text {
    max-width: 111px;
    font-family: "Roboto", serif;
    font-size: 11px;
    line-height: 13px;
    font-weight: 400;
    color: rgba(255, 255, 255, 1);
    text-align: left;

}

a.main-button {
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;
    font-family: "Roboto", serif;
    background: #FFD700;
    color: rgba(0, 0, 0, 0.85);
    text-transform: uppercase;
    font-weight: 800;
    width: 136px;
    height: 32px;
    border: none;
    font-size: 13px;
    line-height: 15px;
    cursor: pointer;
    border-radius: 8px;
    box-shadow: 0 0 10px 1px #F7EA6A40;
    transition: all 0.3s ease-out;
    position: relative;
    overflow: hidden;
}
a.main-button:hover {
    background: #F7EA6A;
}
a.main-button.join_btn_widget {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 0;
}
a.main-button.join_btn_widget .text_per_spin {
    font-family: "Roboto", serif;
    font-size: 11px;
    line-height: 11px;
    font-weight: 500;
    text-transform: none;
}
a.main-button.join_btn_widget.hidden {
    opacity: .1;
    pointer-events: none;
}
a.main-button.join_btn_widget.hidden .lottie-button {
    display: none;
}
.lottie-button {
    width: 100%;
    height: auto;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    pointer-events: none;
}
.link_details_popup {
    text-decoration: none;
    width: 25px;
    height: 25px;
    border-radius: 4px;
    background: rgba(255, 255, 255, 0.05);
    display: flex;
    align-items: center;
    justify-content: center;
    color: #ffffff;
    font-family: "Roboto", serif;
    font-size: 13px;
    line-height: 15px;
    font-weight: 800;
    cursor: pointer;
    border: none;
    transition: all 0.3 sease-out;
}
.link_details_popup:hover {
    background: rgba(255, 255, 255, 0.25);
}

.modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(12, 13, 13, 0.9);
    display: none;
    align-items: center;
    justify-content: center;
}

.modal-body {
    background: rgba(28, 33, 37, 1);
    width: 100%;
    max-width: 693px;
    padding: 15px 30px 30px 30px;
    border-radius: 8px;
    border: 1px solid rgba(255, 255, 255, 0.1);
    position: relative;
    display: flex;
    align-items: stretch;
    gap: 28px;
}
.block_history {
    height: 286px;
    width: 150px;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    background: rgba(0, 0, 0, 0.15);
    border: 1px solid rgba(255, 255, 255, 0.07);
    border-radius: 4px;
    flex-direction: column;
    margin-top: 120px;
    padding-bottom: 31px;
    gap: 14px;
    text-align: center;
}
.block_history .item {
    display: flex;
    flex-direction: column;
    gap: 3px;
}
.block_history .name {
    font-size: 13px;
    font-weight: 600;
    line-height: 15px;
    font-family: "Roboto", serif;
    color: #ffffff;
}
.block_history .value {
    font-size: 20px;
    font-weight: 400;
    line-height: 24px;
    font-family: "Bebas Neue", serif;
    color: rgba(247, 234, 106, 1);
}
.logo_tickets {
    position: absolute;
    top: 0;
    left: 18px;
}
.modal-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-bottom: 10px;
    border-bottom: 1px solid #ddd;
}

.modal-title {
    font-size: 20px;
    font-weight: bold;
}

.close-modal {
    flex: none;
    padding: 0 11px;
    border: 1px solid transparent;
    background: rgba(255, 255, 255, 0.05);
    border-radius: 8px;
    cursor: pointer;
    text-transform: uppercase;
    color: rgba(255, 255, 255, 1);
    font-family: "Roboto", serif;
    font-weight: 700;
    font-size: 13px;
    line-height: 15px;
    text-align: center;
    height: 32px;
    white-space: nowrap;
    transition: all 300ms ease-out;
}

.close-modal:hover {
    background: #223545;
    border: 1px solid rgba(131, 220, 255, 0.5);
}

/* Стилі для вкладок */
.modal-tabs {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 12px;
}

.tab-button {
    flex: none;
    padding: 0 33px;
    border: 1px solid transparent;
    background: rgba(255, 255, 255, 0.05);
    border-radius: 8px;
    cursor: pointer;
    text-transform: uppercase;
    color: rgba(255, 255, 255, 1);
    font-family: "Roboto", serif;
    font-weight: 700;
    font-size: 13px;
    line-height: 15px;
    text-align: center;
    height: 32px;
    white-space: nowrap;
    transition: all 300ms ease-out;
}
.tab-button:hover {
    background: #223545;
    border: 1px solid rgba(131, 220, 255, 0.5);
}
.tab-button.active {
    background: #223545;
    border: 1px solid rgba(131, 220, 255, 0.5);
}
.description_modal {
    margin-top: 26px;
    max-width: 325px;
    color: #ffffff;
    font-family: "Roboto", serif;
    font-weight: 400;
    font-size: 14px;
    line-height: 16px;
    text-align: left;
}

.modal-body {
    margin-top: 20px;
}
.modal-tabs-content {

}
.tab-content {
    display: none;
}
.tab-content.active {
    display: block;
}
.block_jackpots_content {
    height: 301px;
    width: 100%;
    display: block;
    background: rgba(0, 0, 0, 0.15);
    border: 1px solid rgba(255, 255, 255, 0.07);
    border-radius: 4px;
    margin-top: 15px;
    padding-top: 10px;
    gap: 14px;
}
.block_jackpots_content .block_price {
    display: flex;
    flex-direction: column;
    gap: 4px;
}
.block_jackpots_content .block_price .item_jackpot {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 7px;
}
.block_jackpots_content .block_price .item_jackpot .text {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    background: url("../img/bg-jackpot.png") no-repeat;
    width: 153px;
    height: 87px;
    background-size: cover;
    padding-left: 12px;
}
.block_jackpots_content .block_price .item_jackpot .text .title {
    font-family: "Roboto", serif;
    font-weight: 600;
    font-size: 15px;
    line-height: 18px;
    color: #ffffff;
    text-transform: uppercase;
}
.block_jackpots_content .block_price .item_jackpot .text .description {
    font-family: "Roboto", serif;
    font-weight: 500;
    font-size: 11px;
    line-height: 16px;
    color: #ffffff;
}
.block_jackpots_content .block_price .item_jackpot .price {
    background: rgba(0, 0, 0, 0.25);
    color: rgba(247, 234, 106, 1);
    font-family: "Bebas Neue", serif;
    font-weight: 400;
    font-style: normal;
    font-size: 24px;
    line-height: normal;
    border-radius: 4px;
    border: 1px solid rgba(255, 255, 255, 0.1);
    white-space: nowrap;
    width: 127px;
    height: 47px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.block_jackpots_content .block_btn {
    display: flex;
    justify-content: flex-start;
    align-items: flex-end;
    flex-direction: column;
    gap: 12px;
    margin-right: 16px;
    margin-top: 15px;
}
.block_jackpots_content .block_btn .join_btn_modal {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 12px;
}
.block_jackpots_content .block_btn .join_btn_modal .text_for_btn {
    max-width: 111px;
    font-family: "Roboto", serif;
    font-size: 11px;
    line-height: 13px;
    font-weight: 400;
    color: rgba(255, 255, 255, 1);
    text-align: right;
}
.block_jackpots_content .block_btn .join_btn_modal.hidden  {
    opacity: 0.1;
    pointer-events: none;
}
.block_jackpots_content .block_btn .join_btn_modal.hidden .lottie-button {
    display: none;
}
.block_jackpots_content .block_btn .more_tickets {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 12px;
}
.block_jackpots_content .block_btn .more_tickets.hidden{
    opacity: 0.1;
    pointer-events: none;
}
.block_jackpots_content .block_btn .more_tickets.hidden .lottie-button {
    display: none;
}

.block_jackpots_content .block_btn .more_tickets .text {
    max-width: 111px;
    font-family: "Roboto", serif;
    font-size: 11px;
    line-height: 13px;
    font-weight: 400;
    color: rgba(255, 255, 255, 1);
    text-align: left;
}


.block_daily_jackpot {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    max-width: 195px;
    height: 20px;
    overflow: hidden;
    position: relative;
    margin: 0 20px;
}

.change_text {
    position: relative;
    text-align: left;
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.change_text div {
    position: absolute;
    width: 100%;
    opacity: 0;
    transition: opacity 0.8s ease-in-out, transform 0.8s ease-in-out;
    font-family: "Roboto", serif;
    font-size: 11px;
    line-height: 13px;
    font-weight: 500;
}
.change_text div span {
    color: rgba(247, 234, 106, 1);
}

.change_text div.active {
    opacity: 1;
}



.confirm-popup.hidden {
    display: none;
}

.confirm-popup {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.6);
    justify-content: center;
    align-items: center;
    display: flex;
    z-index: 1000;
}

.confirm-popup .popup-content {
    background: rgba(28, 33, 37, 1);
    width: 100%;
    max-width: 290px;
    padding: 30px;
    height: 170px;
    border-radius: 8px;
    border: 1px solid rgba(255, 255, 255, 0.1);
    position: relative;
    display: flex;
    align-items: center;
    gap: 28px;
    justify-content: center;
}
.confirm-popup .popup-content .confirm-button {
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;
    font-family: "Roboto", serif;
    background: #FFD700;
    color: rgba(0, 0, 0, 0.85);
    text-transform: uppercase;
    font-weight: 800;
    width: 166px;
    height: 42px;
    border: none;
    font-size: 13px;
    line-height: 15px;
    cursor: pointer;
    border-radius: 8px;
    box-shadow: 0 0 10px 1px #F7EA6A40;
    transition: all 0.3s ease-out;
    position: relative;
    overflow: hidden;
}
.confirm-popup .popup-content .confirm-button:hover {
    background: #F7EA6A;
}
.confirm-popup .close-btn {
    padding: 0 11px;
    border: 1px solid transparent;
    background: rgba(255, 255, 255, 0.05);
    border-radius: 8px;
    cursor: pointer;
    text-transform: uppercase;
    color: rgba(255, 255, 255, 1);
    font-family: "Roboto", serif;
    font-weight: 700;
    font-size: 13px;
    line-height: 15px;
    text-align: center;
    height: 32px;
    white-space: nowrap;
    transition: all 300ms ease-out;
    position: absolute;
    top: 10px;
    right: 10px;
}
.confirm-popup .close-btn:hover {
    background: #223545;
    border: 1px solid rgba(131, 220, 255, 0.5);
}



.details-modal.hidden {
    display: none;
}

.details-modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.6);
    justify-content: center;
    align-items: center;
    display: flex;
    z-index: 1000;
}

.details-modal .popup-content {
    background: rgba(28, 33, 37, 1);
    width: 100%;
    max-width: 290px;
    padding: 20px;
    height: auto;
    border-radius: 8px;
    border: 1px solid rgba(255, 255, 255, 0.1);
    position: relative;
    display: flex;
    align-items: flex-start;
    flex-direction: column;
    gap: 0;
    justify-content: flex-start;
}
.details-modal .popup-content .confirm-button {
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;
    font-family: "Roboto", serif;
    background: #FFD700;
    color: rgba(0, 0, 0, 0.85);
    text-transform: uppercase;
    font-weight: 800;
    width: 166px;
    height: 42px;
    border: none;
    font-size: 13px;
    line-height: 15px;
    cursor: pointer;
    border-radius: 8px;
    box-shadow: 0 0 10px 1px #F7EA6A40;
    transition: all 0.3s ease-out;
    position: relative;
    overflow: hidden;
}
.details-modal .popup-content .confirm-button:hover {
    background: #F7EA6A;
}
.details-modal .popup-content .text_before_table {
    margin-top: 10px;
    max-width: 325px;
    color: #ffffff;
    font-family: "Roboto", serif;
    font-weight: 400;
    font-size: 14px;
    line-height: 16px;
    text-align: left;
}

.details-modal .popup-content .body_details_modal {
    height: auto;
    width: 100%;
    display: block;
    background: rgba(0, 0, 0, 0.15);
    border: 1px solid rgba(255, 255, 255, 0.07);
    border-radius: 4px;
    margin-top: 16px;
    padding-top: 10px;
    padding-right: 6px;
    padding-bottom: 10px;
}
.details-modal .popup-content .result_table {
    width: 100%;
    border-collapse: collapse;
    color: #fff;
    overflow: hidden;
}
.details-modal .popup-content .result_table th {
    text-align: left;
    padding: 0 9px 12px 9px;
    font-family: "Roboto", serif;
    font-size: 11px;
    line-height: 13px;
    font-weight: bold;
    text-transform: uppercase;
}
.details-modal .popup-content .result_table tbody tr:nth-child(odd) {
    background: rgba(0, 0, 0, 0.15);
}
.details-modal .popup-content .result_table td {
    padding: 8px 9px;
    font-family: "Roboto", serif;
    font-weight: 400;
    font-size: 11px;
    line-height: 13px;
}





.details-modal .close-btn {
    padding: 0 11px;
    border: 1px solid transparent;
    background: rgba(255, 255, 255, 0.05);
    border-radius: 8px;
    cursor: pointer;
    text-transform: uppercase;
    color: rgba(255, 255, 255, 1);
    font-family: "Roboto", serif;
    font-weight: 700;
    font-size: 13px;
    line-height: 15px;
    text-align: center;
    height: 32px;
    white-space: nowrap;
    transition: all 300ms ease-out;
    position: absolute;
    top: 10px;
    right: 10px;
}
.details-modal .close-btn:hover {
    background: #223545;
    border: 1px solid rgba(131, 220, 255, 0.5);
}





@keyframes pulse {
    0%, 100% {
        transform: scale(1);
    }
    40%, 70% {
        transform: scale(2);
        background: #1C2125;
    }
}

.timer {
    display: inline-block;
}
.pulse-animation {
    animation: pulse 4s ease-in-out;
}

.rules_content {
    position: relative;
    overflow: hidden;
    height: 100%;

}

.block_text_rules {
    height: 358px;
    width: 100%;
    display: block;
    background: rgba(0, 0, 0, 0.15);
    border: 1px solid rgba(255, 255, 255, 0.07);
    border-radius: 4px;
    margin-top: 16px;
    padding-top: 19px;
    padding-right: 6px;
    padding-bottom: 20px;
}
.block_text_rules .scroll_box {
    height: 100%;
    overflow-y: auto;
    color: #ffffff;
    padding: 0 50px 20px 20px;
    font-size: 13px;
    line-height: 15px;
    font-weight: 300;
    display: flex;
    flex-direction: column;
    gap: 14px;
}

.block_text_rules .scroll_box::-webkit-scrollbar {
    width: 3px;
}
.block_text_rules .scroll_box::-webkit-scrollbar-track {
    background: transparent;
    border-radius: 10px;
}
.block_text_rules .scroll_box::-webkit-scrollbar-thumb {
    background: #81DBFF;
    border-radius: 10px;
}
.block_text_rules .scroll_box::-webkit-scrollbar-thumb:hover {
    background: #81DBFF;
}

.block_tickets_content {
    height: 358px;
    width: 100%;
    display: block;
    background: rgba(0, 0, 0, 0.15);
    border: 1px solid rgba(255, 255, 255, 0.07);
    border-radius: 4px;
    margin-top: 16px;
    padding-top: 20px;
    padding-right: 6px;
    padding-bottom: 20px;
}
.block_tickets_content .scroll_tickets_box {
    height: 100%;
    overflow-y: auto;
    color: #ffffff;
    padding: 0 11px 20px 20px;
    font-size: 13px;
    line-height: 15px;
    font-weight: 300;
    display: flex;
    flex-direction: column;
    gap: 14px;
}

.block_tickets_content .scroll_tickets_box::-webkit-scrollbar {
    width: 3px;
}
.block_tickets_content .scroll_tickets_box::-webkit-scrollbar-track {
    background: transparent;
    border-radius: 10px;
}
.block_tickets_content .scroll_tickets_box::-webkit-scrollbar-thumb {
    background: #81DBFF;
    border-radius: 10px;
}
.block_tickets_content .scroll_tickets_box::-webkit-scrollbar-thumb:hover {
    background: #81DBFF;
}

.tickets_table {
    width: 100%;
    border-collapse: collapse;
    color: #fff;
    overflow: hidden;
}
.tickets_table th{
    text-align: left;
    padding: 0 9px 12px 9px;
    font-family: "Roboto", serif;
    font-weight: 600;
    font-size: 11px;
    line-height: 13px;
}
.tickets_table td {
    padding: 8px 9px;
    font-family: "Roboto", serif;
    font-weight: 400;
    font-size: 11px;
    line-height: 13px;
}
.tickets_table tbody tr:nth-child(odd) {
    background: rgba(0, 0, 0, 0.15);
}
.tickets_table th {
    font-weight: bold;
    text-transform: uppercase;
}

.jackpot {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 2px;
}

.jackpot-name {
    font-family: "Roboto", serif;
    font-weight: 400;
    font-size: 13px;
    line-height: 16px;
    text-transform: uppercase;
}

.jackpot-amount {
    font-family: "Roboto", serif;
    font-weight: 400;
    font-size: 10px;
    line-height: 12px;
    color: rgba(247, 234, 106, 1);
}

.reveal-btn {
    background: rgba(255, 255, 255, 0.05);
    text-transform: uppercase;
    border: 1px solid #F7EA6A;
    color: #ffffff;
    padding: 6px 7px;
    font-size: 10px;
    font-weight: 600;
    line-height: 12px;
    cursor: pointer;
    border-radius: 4px;
    transition: 0.3s ease;
}

.reveal-btn:hover {
    background: rgba(247, 234, 106, 0.1);
}

.reveal-modal {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.8);
    align-items: flex-start;
    justify-content: center;
}

.reveal-content {
    width: 274px;
    height: 461px;
    position: relative;
    overflow: hidden;
}
.reveal-ticket-animation {
    position: absolute;
    top: 0;
    z-index: 2;
}
.reveal-ticket-back {
    position: absolute;
    top: 0;
    z-index: 1;
    width: 100%;
    opacity: 0;
    transition: opacity 0.5s ease-in-out;
}
.reveal-ticket {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}
.reveal-ticket-back .number_winners {
    position: absolute;
    top: 180px;
    left: 50%;
    z-index: 1;
    transform: translate(-50%, 0);
    font-family: "Roboto", serif;
    font-weight: 400;
    font-size: 16px;
    line-height: 18px;
    color: rgba(129, 219, 255, 1);
}
.reveal-ticket-back .number_tickets {
    position: absolute;
    top: 190px;
    left: 50%;
    z-index: 1;
    transform: translate(-50%, 0);
    font-family: "Roboto", serif;
    font-weight: 400;
    font-size: 16px;
    line-height: 18px;
    color: #ffffff;
}
.reveal-ticket-back.win .number_winners {
    color: rgba(0, 0, 0, 1);
}
.reveal-ticket-back.win .number_tickets {
    color: rgba(0, 0, 0, 1);
}
.reveal-ticket-back .winners_result {
    position: absolute;
    top: 254px;;
    left: 50%;
    z-index: 1;
    transform: translate(-50%, 0);
    font-family: "Bebas Neue", serif;
    font-weight: 400;
    font-size: 32px;
    line-height: 38px;
    color: #F7EA6A;
}
.reveal-ticket-back.no-win .winners_result {
    display: none;
}
.reveal-ticket-back.win .gold_plating {
    position: absolute;
    top: 0;
    z-index: 1;
    width: 100%;
}

.fontclass text {
    font-family: "Bebas Neue", serif !important;
    white-space: nowrap;
}

.animation_text {
    width: auto;
    height: 20px;
    overflow: hidden;
}
.animation_text.lottie-active span{
    display: none;
}
.lottie-animation {
    width: 120px;
    margin-right: -20px;
    display: flex;
    transition: opacity 0.5s ease-in-out;
}
.lottie-animation svg{
    transition: opacity 0.5s ease-in-out;
}
.fade-out {
    opacity: 0;
}
.fade-in {
    opacity: 1;
}
.open-modal {
    cursor: pointer;
}

@media (max-width: 1360px) {
    .block_daily_jackpot .name {
        font-size: 14px;
        line-height: 16px;
    }
    .block_daily_jackpot .description {
        font-size: 10px;
        line-height: 12px;
    }
    .block_daily_jackpot .change_text div {
        font-size: 10px;
        line-height: 12px;
    }
    .widget .left_col {
        gap: 10px;
    }
    .widget .block_info_jackpot {
        gap: 15px;
    }
    .widget .widget-logo {
        margin-right: 0;
    }
    .block_daily_jackpot {
        max-width: 175px;
    }
}
@media (max-width: 1260px) {
    .block_daily_jackpot {
        display: none;
    }
}
@media (max-width: 1150px) {
    .widget .more_tickets {
        display: none;
    }
}
@media (max-width: 960px) {
    .widget .widget-content {
        max-height: 100%;
        height: 48px;
    }
    .widget .right_col .main-button {
        order: 2;
    }
    .widget .right_col .info_link {
        order: 1;
        margin-left: 0;
        margin-right: 10px;
    }
    .widget .block_jackpot {
        position: absolute;
        top: 0;
        left: 0;
        opacity: 0;
        transition: opacity 0.8s ease-in-out, transform 0.8s ease-in-out;
    }
    .widget .block_jackpot .text .title {
        font-size: 13px;
        line-height: 15px;
        font-weight: 600;
        white-space: nowrap;
    }
    .widget .block_jackpot .text .description {
        font-size: 10px;
        line-height: 11px;
        white-space: nowrap;
        text-align: left;
        width: 100%;
        padding-left: 0;
    }
    .widget .block_jackpot .price {
        background: transparent;
        padding: 8px;
        font-size: 17px;
        line-height: 20px;
        border-radius: 0;
        border: none;
    }
    .widget .left_col {
        gap: 0;
    }
    .widget .widget-logo img {
        height: auto;
        width: 85px;
        object-fit: cover;
    }
    a.main-button {
        width: 79px;
    }
    .widget .block_jackpot {
        gap: 0;
    }
    .widget .widget-logo {
        margin-right: 10px;
    }

}

@media (max-width: 768px) {
    .block_history {
        display: none;
    }
    .modal-tabs {
        flex-direction: column;
        align-items: flex-end;
        justify-content: space-between;
        gap: 10px;
        width: 100%;
        margin-top: 75px;
    }
    .modal_content_modal {
        width: 100%;
    }
    .modal-body {
        width: auto;
        gap: 0;
        padding: 10px;
    }
    .close-modal {
        position: absolute;
        top: 10px;
        right: 10px;
    }
    .logo_tickets {
        left: 15px;
    }
    .logo_tickets img {
        width: 144px;
    }
    .tab-button {
        width: 170px;
    }
    .modal-tabs-content {
        height: auto;
        width: 329px;
    }
    .description_modal{
        margin-left: 14px;
        margin-top: 28px;
        font-size: 12px;
    }
    .block_jackpots_content {
        height: 332px;
        display: flex;
        flex-direction: column;
        gap: 36px;
    }
    .block_jackpots_content .block_btn {
        gap: 13px;
        margin-right: 10px;
        margin-top: 0;
    }
    .block_jackpots_content .block_btn a.main-button {
        width: 139px;
    }
    .block_jackpots_content .block_price .item_jackpot {
        justify-content: space-between;
        gap: 7px;
    }
    .block_jackpots_content .block_price .item_jackpot .price {
        width: 148px;
        height: 44px;
        margin-right: 12px;
    }
    .block_text_rules .scroll_box {
        padding: 0 20px 20px 20px;
    }
    .block_text_rules {
        height: 390px;
    }
    .block_tickets_content {
        height: 390px;
        padding-bottom: 10px;
    }
    .block_tickets_content .scroll_tickets_box {
        padding: 0 11px 20px 10px;
    }
}

@media (max-width: 390px) {
    .widget .widget-logo img {
        width: 70px;
    }
    .widget .block_jackpot .text .description {
        font-size: 8px;
    }
    .widget .widget-logo {
        margin-right: 5px;
    }
    .widget .right_col {
        margin-right: 5px;
    }
    .lottie-animation {
        width: 80px;
        margin-right: -10px;
    }
    .animation_text {
        height: 12px;
    }
}